This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 17786 - Selecting errors in compiler window sends focus to wrong source file
Summary: Selecting errors in compiler window sends focus to wrong source file
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Project (show other bugs)
Version: 3.x
Hardware: PC Windows 3.1/NT
: P1 blocker (vote)
Assignee: issues@java
URL:
Keywords:
Depends on: 17826
Blocks:
  Show dependency tree
 
Reported: 2001-11-16 19:53 UTC by Ira Williams
Modified: 2004-11-02 08:18 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ira Williams 2001-11-16 19:53:05 UTC
While working on multiple applications, an incorrect method call was 
inadvertently placed inside a java source file.  Upon compiling the source 
code, the compiler window listed the incorrect method call.  However, when the 
error line was selected in the compiler window so that it could be corrected, 
the editor window opened the wrong source file.  Each of the applications share 
a java source file of the same class name.  There is no package specification 
for the java file, but there is a separate copy of the file for each 
application residing on the machine.  Each application will perform a 
diffferent set of operations, but the basic structure for the class is the same 
so it has been re-used.  It appears that NetBeans is not differentiating the 
different files correctly, even though they reside in totally separate 
directories.
Comment 1 _ ttran 2001-11-18 20:03:13 UTC
your evaluation is correct.  This is an limitation of the current
version of NB.  We know how to fix this but unfortunately it would
require incompatible changes in API (exiting modules would stop
working if their code won't be modified).  Therefore the change is
postponed to a future release.  We need to carefully plan it.

Reassigning to java module and sdedic.  I suspect there is already an
issue in IZ for this.  Svata, please mark this one as its duplicate. 
Thanks
Comment 2 Svata Dedic 2001-11-22 17:50:45 UTC
There's no such issue yet, but we are aware of this problem. Since 
the current behaviour is "as [poorly] designed", I'm turning this 
into a P-1 enhancement depending on the new project infrastructure.
Comment 3 Jan Chalupa 2001-11-27 12:50:16 UTC
Target milestone -> 3.3.1.
Comment 4 Svata Dedic 2002-05-21 17:48:52 UTC
Cleaning up before 4.0 planning
Comment 5 Marek Grummich 2002-07-19 16:03:11 UTC
Target milestone was changed from not determined to TBD
Comment 6 Jan Becicka 2002-08-06 11:10:40 UTC
New projects infrastructure could solve it, 
isn't?
Comment 7 Jan Pokorsky 2003-11-27 13:40:01 UTC
Removed PROJECTS keyword since the projects prototype has been
canceled. For more details see
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss
Comment 8 psuk 2004-11-02 08:18:51 UTC
Resolved by new project infrastructure